Раскрытие данных в Gentoo Linux

Дата публикации:
21.03.2008
Всего просмотров:
1291
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Gentoo Linux
Уязвимые версии: Gentoo Linux 1.x

Описание:
Уязвимость позволяет удаленному пользователю получить доступ к важным данным.

Уязвимость существует из-за того, что ebuilds вызывает функцию "docert()" из ssl-cert eclass в момент компиляции пакета из исходного кода. Это приводит к тому, что важные SSL сертификаты включаются в генерируемый пакет, что может позволить злоумышленнику извлечь ключи для последующих атак. Для успешной эксплуатации уязвимости требуется, чтобы бинарный пакет был собран с опциями "--buildpkg" или "--buildpkgonly".

URL производителя: www.gentoo.org

Решение: Установите последнюю версию с сайта производителя.

или введите имя

CAPTCHA